Name:           execstack
Version:        0.5.0
Release:        %mkrel 4
Summary:        Utility to set/clear/query executable stack bit
Group:          System/Base

%global commit 4c79120bcdbde0616f592458ccde7035e92ca3d8
%global shortcommit %(c=%{commit}; echo ${c:0:7})

License: GPLv2+
# work around for missing upstream tarball with latest checkin
Source0: https://github.com/keszybz/prelink/archive/%{commit}.tar.gz#/prelink-%{shortcommit}.tar.gz

Patch0:  Add-PL_ARCH-for-AArch64.patch
Patch1:  execstack-configure-c99.patch

BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: elfutils-devel
#BuildRequires: libselinux-devel, libselinux-utils
BuildRequires: git
Requires: glibc >= 2.2.4-18, coreutils, findutils
Requires: util-linux, gawk, grep

Obsoletes:     prelink < 0.5.0-8

%description
This package is built from prelink sources but contains just the
execstack binary. It can be used manipulate ELF binaries to run
with or without executable stack.

%prep
%autosetup -n prelink-%{commit} -p1 -Sgit

%build
sed -i -e '/^prelink_LDADD/s/$/ -lpthread/' src/Makefile.{am,in}
%configure
%make_build -C gelf
%make_build -C gelfx
%make_build -C gelfx32
%make_build -C src execstack

%check
cp src/execstack test
src/execstack -q test | grep '^-'
src/execstack -s test
src/execstack -q test | grep '^X'
src/execstack -c test
src/execstack -q test | grep '^-'

%install
install -D src/execstack %{buildroot}%{_bindir}/execstack
install -Dm0644 doc/execstack.8 %{buildroot}%{_mandir}/man8/execstack.8

%files
%license COPYING
%doc ChangeLog NEWS README TODO THANKS
%{_bindir}/execstack
%{_mandir}/man8/execstack.8.*



%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.5.0-4.mga10
+ Revision: 2228809
- Mageia 10 Mass Rebuild

* Wed Oct 09 2024 daviddavid <daviddavid> 0.5.0-3.mga10
+ Revision: 2104485
- avoid implicit function declarations in configure

* Sat Mar 26 2022 umeabot <umeabot> 0.5.0-2.mga9
+ Revision: 1827672
- Mageia 9 Mass Rebuild

* Wed Jan 06 2021 tv <tv> 0.5.0-1.mga8
+ Revision: 1669214
- imported package execstack


* Wed Jan 06 2021 Thierry Vignaud <tv@mageia.org> 0.5.0-1.mga8
- Import from FC

* Fri Aug 21 2015 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.0-9
- Add support for aarch64 (#1251165)

* Mon Jul 27 2015 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.0-8
- Kill off most of prelink package
